
_interrupt:

;USB_HID.mpas,13 :: 		begin
;USB_HID.mpas,14 :: 		USB_Interrupt_Proc();
	CALL        _USB_Interrupt_Proc+0, 0
;USB_HID.mpas,15 :: 		end;
L_end_interrupt:
L__interrupt11:
	RETFIE      1
; end of _interrupt

_main:

;USB_HID.mpas,17 :: 		begin
;USB_HID.mpas,18 :: 		OSCCON := %01110000;            //8MHz
	MOVLW       112
	MOVWF       OSCCON+0 
;USB_HID.mpas,19 :: 		PLLEN_bit := 1;                 //Enable PLL (now 48MHz)
	BSF         PLLEN_bit+0, 6 
;USB_HID.mpas,20 :: 		HID_Enable(@USBin,@USBout);    //Enable HID communication
	MOVLW       _USBin+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_USBin+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _USBout+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_USBout+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;USB_HID.mpas,21 :: 		while (1) do begin
L__main3:
;USB_HID.mpas,22 :: 		if HID_Read <> 0 then begin
	CALL        _HID_Read+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__main8
;USB_HID.mpas,23 :: 		USBout := USBin;
	MOVLW       _USBout+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_USBout+0)
	MOVWF       FSR1H 
	MOVLW       _USBin+0
	MOVWF       FSR2 
	MOVLW       hi_addr(_USBin+0)
	MOVWF       FSR2H 
	CALL        ___CS2S+0, 0
	CLRF        POSTINC1+0 
;USB_HID.mpas,24 :: 		HID_Write(@USBout, 64);
	MOVLW       _USBout+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_USBout+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       64
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
;USB_HID.mpas,25 :: 		end;
L__main8:
;USB_HID.mpas,26 :: 		end;
	GOTO        L__main3
;USB_HID.mpas,27 :: 		end.
L_end_main:
	GOTO        $+0
; end of _main
